const path = require('path');

const mainController = {
    root: (req, res) => {
        let pubKey = req.session.publicKey;
        console.log(pubKey);
        let isLoggedIn = typeof pubKey !== 'undefined';
        res.render('index', {isLoggedIn, pubKey});
    },
    style: (req, res) => {
        res.sendFile(path.resolve(__dirname + '/../public/style.css'));
    },
    script: (req, res) => {
        res.sendFile(path.resolve(__dirname + '/../public/script.js'));
    },
    ecc: (req, res) => {
        res.sendFile(path.resolve(__dirname + '/../public/ecc.js'));
    },
    popups: (req, res) => {
        res.sendFile(path.resolve(__dirname + '/../public/popups.js'));
    },
    chat : (req, res) => {
        res.sendFile(path.resolve(__dirname + '/../public/chat.js'));
    },
    register : (req, res) => {
        res.sendFile(path.resolve(__dirname + '/../public/register.js'));
    }
};

module.exports = mainController;
